Overview | Package | Class | Tree | Deprecated | Index | Help
| BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.beasys.portal.ejb
Class GroupPersonalizationPK

    java.lang.Object
      |
      +--com.beasys.portal.ejb.PortalPersonalizationPK
            |
            +--com.beasys.portal.ejb.GroupPersonalizationPK

Direct Known Subclasses:
  UserPersonalizationPK

public class GroupPersonalizationPK
extends PortalPersonalizationPK
implements java.io.Serializable

Primary key for Group Personalization.

See Also:
  Serialized Form

Field Summary
`java.lang.String` | `groupId` The group id.

Fields inherited from class com.beasys.portal.ejb.PortalPersonalizationPK
`categoryName, portalName, portletName`

Constructor Summary
`GroupPersonalizationPK()` Default constructor.
`GroupPersonalizationPK(java.lang.String aPortalName, java.lang.String aCategoryName, java.lang.String aPortletName, java.lang.String aGroupId)` Group personalization primary key constructor.

Method Summary
`boolean` | `equals(java.lang.Object theOther)` Check for object equality.
`java.lang.String` | `getGroupId()` Get group id.
`void` | `setGroupId(java.lang.String aGroupId)` Set group id.
`java.lang.String` | `toString()` String representation of the PK.

Methods inherited from class com.beasys.portal.ejb.PortalPersonalizationPK
`getCategoryName, getPortalName, getPortletName, setCategoryName, setPortalName, setPortletName`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### groupId

    public java.lang.String groupId

  The group id.

Constructor Detail

### GroupPersonalizationPK

    public GroupPersonalizationPK()

  Default constructor.

### GroupPersonalizationPK

    public GroupPersonalizationPK(java.lang.String aPortalName,
                                  java.lang.String aCategoryName,
                                  java.lang.String aPortletName,
                                  java.lang.String aGroupId)

  Group personalization primary key constructor.
  Parameters:
    `aPortalName` - the portal.
    `aCategoryName` - the category.
    `aPortletName` - the portlet.
    `aGroupId` - the group id.

Method Detail

### equals

    public boolean equals(java.lang.Object theOther)

  Check for object equality.
  Overrides:
    equals in class PortalPersonalizationPK
  Parameters:
    `theOther` - the object to check against.
  Returns:
    boolean are they equal.

### toString

    public java.lang.String toString()

  String representation of the PK.
  Overrides:
    toString in class PortalPersonalizationPK
  Returns:
    String the rep.

### setGroupId

    public void setGroupId(java.lang.String aGroupId)

  Set group id.
  Parameters:
    `aGroupId` - the group id.

### getGroupId

    public java.lang.String getGroupId()

  Get group id.
  Returns:
    `String` the group id.

Overview | Package | Class | Tree | Deprecated | Index | Help
| BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000 BEA Systems, Inc. All Rights Reserved